%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-elixir
Version:        0.7.1
Release:        14%{?dist}
Summary:        Declarative mapper for SQLAlchemy

Group:          Development/Languages
License:        MIT
URL:            http://elixir.ematia.de/
Source0:        http://pypi.python.org/packages/source/E/Elixir/Elixir-%{version}.tar.gz
# Include the license file from upstream
# Bug to get them to add it to releases http://elixir.ematia.de/trac/ticket/118
Source1:        http://elixir.ematia.de/trac/export/534/elixir/trunk/LICENSE
# https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2012-2146
# http://elixir.ematia.de/trac/ticket/119
Patch0:         python-elixir-aes-encryption-addition.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools

Requires:       python-sqlalchemy
Requires:       python-crypto


%description
Elixir is a declarative layer on top of SQLAlchemy. It is a fairly thin
wrapper, which provides the ability to define model objects following the
Active Record design pattern, and using a DSL syntax similar to that of the
Ruby on Rails ActiveRecord system.

Elixir does not intend to replace SQLAlchemy's core features, but instead
focuses on providing a simpler syntax for defining model objects when you do
not need the full expressiveness of SQLAlchemy's manual mapper definitions.


%prep
%setup -q -n Elixir-%{version}
cp %{SOURCE1} .
%patch0 -p0

%build
%{__python} setup.py build


%install
rm -rf %{buildroot}
%{__python} setup.py install --skip-build --root %{buildroot}

 
%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README LICENSE
%{python_sitelib}/*


%changelog
* Thu Aug 21 2014 Dan Callaghan <dcallagh@redhat.com> - 0.7.1-14
- CVE-2012-2146: patched to allow using AES instead of insecure Blowfish

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.7.1-9
- Use URL to trunk for license.  Comment on upstream bug to include it.

* Wed Feb  8 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.7.1-8
- Include a copy of the License from upstream's revision control system

* Tue Feb  7 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 0.7.1-7
- Minor cleanups, submit for re-review

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.7.1-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Apr 29 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 0.7.1-3
- Added missing python-crypto to Requires
- Fixed Source0 URL

* Tue Apr 13 2010 James Bowes <jbowes@redhat.com> 0.7.1-2
- Remove non-existant docs

* Tue Apr 13 2010 James Bowes <jbowes@redhat.com> 0.7.1-1
- Update to 0.7.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.6.1-2
- Rebuild for Python 2.6

* Wed Sep 17 2008 James Bowes <jbowes@redhat.com> 0.6.1-1
- Update to 0.6.1

* Thu Jul 24 2008 James Bowes <jbowes@redhat.com> 0.6.0-1
- Update to 0.6.0

* Sat Apr 05 2008 James Bowes <jbowes@redhat.com> 0.5.2-1
- Update to 0.5.2

* Mon Feb 11 2008 James Bowes <jbowes@redhat.com> 0.5.1-1
- Update to 0.5.1

* Thu Dec 13 2007 James Bowes <jbowes@redhat.com> - 0.5.0-1
- Update to 0.5.0

* Wed Nov 14 2007 Steve 'Ashcrow' Milner <me@stevemilner.org> - 0.4.0-1
- Updated for upstream 0.4.0.

* Sun Jun 24 2007 James Bowes <jbowes@redhat.com> - 0.3.0-1
- Initial packaging for Fedora.
